summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorRamiro Estrugo <ramiro@src.gnome.org>2001-05-02 07:12:30 +0000
committerRamiro Estrugo <ramiro@src.gnome.org>2001-05-02 07:12:30 +0000
commiteab79a832bf43d1e02841f9186787829ebb22baf (patch)
tree2342df7af6f0adfce88953fa310cec9f113df291 /autogen.sh
parent6e7d921ce8df7137fc5f9bd244e6e66e5bf8d9bf (diff)
downloadnautilus-eab79a832bf43d1e02841f9186787829ebb22baf.tar.gz
Detect whether the invocation of configure failed and print a message
* autogen.sh: Detect whether the invocation of configure failed and print a message accordingly. We used to always assume that configure was successful and print misleading "now type make to build $PROJECT" messages.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh14
1 files changed, 12 insertions, 2 deletions
diff --git a/autogen.sh b/autogen.sh
index 10110490c..ff86ffa22 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -93,5 +93,15 @@ fi
$srcdir/configure --enable-maintainer-mode "$@" $SOPWITH_FLAGS_HACK
-echo
-echo "Now type 'make' to compile $PROJECT."
+rv=$?
+
+if [ $rv -eq 0 ]
+then
+ echo
+ echo "Now type 'make' to compile $PROJECT."
+ exit 0
+fi
+
+echo
+echo "There was a problem running $srcdir/configure for $PROJECT."
+exit 1